%ifarch %{ix86} %{x8664} x32
%define		with_gl		1
%endif

%define		qtver	5.7
Summary:	Screen recorder for Linux
Summary(pl.UTF-8):	Nagrywarka ekranu dla Linuksa
Name:		simplescreenrecorder
Version:	0.4.4
Release:	2
License:	GPL v3
Group:		Applications
Source0:	https://github.com/MaartenBaert/ssr/archive/%{version}/ssr-%{version}.tar.gz
# Source0-md5:	6360ff633bcb88b0c221d56fd52b7dac
Patch0:		ffmpeg6.patch
URL:		http://www.maartenbaert.be/simplescreenrecorder/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	Mesa-libGLU-devel
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5X11Extras-devel >= %{qtver}
BuildRequires:	alsa-lib-devel
BuildRequires:	cmake >= 3.1
BuildRequires:	ffmpeg-devel
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libv4l-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.742
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXfixes-devel
BuildRequires:	xorg-lib-libXi-devel
Requires:	Qt5Core >= %{qtver}
Requires:	Qt5Gui >= %{qtver}
Requires:	Qt5Gui-platform-xcb
Requires:	Qt5Widgets >= %{qtver}
Requires:	Qt5X11Extras >= %{qtver}
%if %{with gl}
Suggests:	%{name}-glinject = %{version}-%{release}
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SimpleScreenRecorder is a screen recorder for Linux. Despite the name,
this program is actually quite complex. It's 'simple' in the sense
that it's easier to use than ffmpeg/avconv or VLC :).

%package glinject
Summary:	SimpleScreenRecorder - wrapper library for recording OpenGL
Group:		Applications

%description glinject
A wrapper library and a script to inject screen recording calls into
OpenGL applications, for use with the SimpleScreenRecorder.

%prep
%setup -q -n ssr-%{version}
%patch0 -p1

%build
%cmake \
	-DLRELEASE=/usr/bin/lrelease-qt5 \
	%{cmake_on_off gl WITH_GLINJECT} \
	%{cmake_on_off gl WITH_OPENGL_RECORDING} \
	-DWITH_JACK=ON \
	-DWITH_PULSEAUDIO=ON \
	-DWITH_QT5=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG.md README.md *.txt
%attr(755,root,root) %{_bindir}/simplescreenrecorder
%dir %{_datadir}/simplescreenrecorder
%{_datadir}/simplescreenrecorder/output-profiles
%dir %{_datadir}/simplescreenrecorder/translations
%{_mandir}/man1/simplescreenrecorder.1*
%{_iconsdir}/*/*/apps/simplescreenrecorder*.png
%{_iconsdir}/hicolor/scalable/apps/simplescreenrecorder*.svg
%{_desktopdir}/simplescreenrecorder.desktop
%{_datadir}/metainfo/simplescreenrecorder.metainfo.xml

%if %{with gl}
%files glinject
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ssr-glinject
%attr(755,root,root) %{_libdir}/libssr-glinject.so
%{_mandir}/man1/ssr-glinject.1*
%endif
%changelog
* Sat Oct 21 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/simplescreenrecorder.git;a=log;h=master

* Sat Oct 21 2023 Jan Rękorajski <baggins@pld-linux.org> 6cc1b2f
- add upstream fix for ffmpeg 6, rel 2

* Fri Feb 03 2023 Bartek Szady <bszx@bszx.eu> dfda71b
- updated to 0.4.4

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 87529aa
- macros for %cmake_on_off

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 54c9cab
- up to 0.4.3

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 8311d2c
- fix glinject package

* Wed Jul 08 2020 Jan Palus <atler@pld-linux.org> 8d9fce6
- enable gl recording only on x86

* Sat Jul 04 2020 Jan Palus <atler@pld-linux.org> e180a4b
- up to 0.4.2

* Wed Jun 13 2018 Jan Palus <atler@pld-linux.org> 06f1913
- up to 0.3.11

* Sun Apr 29 2018 Jan Rękorajski <baggins@pld-linux.org> 68d77f5
- fix building with ffmpeg 4.0
- add missing c++ header
- rel 3

* Wed Mar 16 2016 Jan Rękorajski <baggins@pld-linux.org> 898a1be
- release 2 (by relup.sh)

* Wed Dec 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 43cf1c7
- force -fPIC on all platforms

* Tue Dec 29 2015 Jacek Konieczny <jajcus@jajcus.net> 662008e
- new package

